﻿/* 
 Name:
	JMC_GYST_David Bennett
 Version:
	1.0 (1st April, 2015 ) by David Bennett
      Changelog:
	First Launch
 Author:
	David Bennett
 Description:  
	This script allows users to generate David Bennett's file structure quickly and easily, so they can GYST!
    
 Usage:
	In After Effects CS4 or later, run the script
	Hit Generate Folders!
*/

  
var win = new Window('palette', 'JMC/GYST');
var testLabel = win.add('statictext', undefined, 'Developed by David Bennett');
var btnSelect = win.add('button', undefined, 'Generate Folders!');


btnSelect.onClick = function(){
    
var compFolder0 = app.project.items.addFolder('00_RENDER Comps'); 
var compFolder0 = app.project.items.addFolder('01_Working Comps'); 
var compFolder0 = app.project.items.addFolder('02_Pre Comps'); 

//initiates QT set
var compFolder = app.project.items.addFolder('03_QT'); 
var compFolder2= app.project.items.addFolder('3D RENDERS');//folder1
var compFolder3= app.project.items.addFolder('FOOTAGE');//folder2
var compFolder4= app.project.items.addFolder('PRE RENDERS');//folder3
compFolder2.parentFolder = compFolder;//makes folder 2 child of folder1
compFolder3.parentFolder = compFolder;//makes folder 3 child of folder1
compFolder4.parentFolder = compFolder;//makes folder 4 child of folder1

var compFolder = app.project.items.addFolder('04_IMAGES'); 
var compFolder2= app.project.items.addFolder('00_STYLEFRAMES');//folder1
var compFolder3= app.project.items.addFolder('01_CLEARED IMAGES');//folder2
var compFolder4= app.project.items.addFolder('02_ASSETS');//folder3
compFolder2.parentFolder = compFolder;//makes folder 2 child of folder1
compFolder3.parentFolder = compFolder;//makes folder 3 child of folder1
compFolder4.parentFolder = compFolder;//makes folder 4 child of folder1


var compFolder0 = app.project.items.addFolder('05_VECTOR'); 
var compFolder0 = app.project.items.addFolder('06_AUDIO'); 
var compFolder0 = app.project.items.addFolder('07_AEP'); 
var compFolder0 = app.project.items.addFolder('08_EXPRESSIONS');  
var compFolder0 = app.project.items.addFolder('09_REFERENCE'); 
//alerts user on completion
//alert('Folders were successfully generated. Enjoy.');
}
 

win.center();
win.show();